Loading...
Searching...
No Matches
etl::message_producer Class Reference

`#include <message_router.h>`

## Public Member Functions

| message_producer (etl::imessage_router &successor_)
| message_producer (etl::message_router_id_t id_)
| message_producer (etl::message_router_id_t id_, etl::imessage_router &successor_)
void | receive (const etl::imessage &msg) ETL_OVERRIDE
bool | accepts (etl::message_id_t id) const ETL_OVERRIDE
ETL_DEPRECATED bool | is_null_router () const ETL_OVERRIDE
bool | is_producer () const ETL_OVERRIDE
bool | is_consumer () const ETL_OVERRIDE
virtual void | receive (etl::message_router_id_t destination_router_id, const etl::imessage &message)
virtual void | receive (etl::shared_message shared_msg)
virtual void | receive (etl::message_router_id_t destination_router_id, etl::shared_message shared_msg)
bool | accepts (const etl::imessage &msg) const
Public Member Functions inherited from etl::imessage_router
bool | accepts (const etl::imessage &msg) const
etl::message_router_id_t | get_message_router_id () const
Public Member Functions inherited from etl::successor< imessage_router >
| successor ()
| Default constructor.
void | set_successor (successor_type &s)
| Set the successor.
void | append_successor (TSuccessor &s)
| Append a successor.
void | clear_successor ()
| Clear the successor.
void | clear_successor_chain ()
| Clear the successor chain.
successor_type & | get_successor () const
bool | has_successor () const
| Does this have a successor?

## Additional Inherited Members

Public Types inherited from etl::imessage_router
enum | { NULL_MESSAGE_ROUTER = 255 , MESSAGE_BUS = 254 , ALL_MESSAGE_ROUTERS = 253 , MESSAGE_BROKER = 252 , MESSAGE_ROUTER = 251 , MAX_MESSAGE_ROUTER = 249 }
Public Types inherited from etl::successor< imessage_router >
typedef imessage_router | successor_type
Protected Member Functions inherited from etl::imessage_router
| imessage_router (etl::message_router_id_t id_)
| imessage_router (etl::message_router_id_t id_, imessage_router &successor_)

## Detailed Description

This router can be used as a producer-only of messages, such an interrupt routine.

## Member Function Documentation

## accepts()

bool etl::message_producer::accepts | ( | etl::message_id_t | id | ) | const

inline virtual

Implements etl::imessage_router.

## is_consumer()

bool etl::message_producer::is_consumer | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## is_null_router()

ETL_DEPRECATED bool etl::message_producer::is_null_router | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## is_producer()

bool etl::message_producer::is_producer | ( |  | ) | const

inline virtual

Implements etl::imessage_router.

## receive() [1/4]

void etl::message_producer::receive | ( | const etl::imessage & | msg | ) |

inline virtual

Implements etl::imessage_router.

## receive() [2/4]

virtual void etl::imessage_router::receive | ( | etl::message_router_id_t | destination_router_id,
|  | const etl::imessage & | message )

inline virtual

Reimplemented from etl::imessage_router.

## receive() [3/4]

virtual void etl::imessage_router::receive | ( | etl::message_router_id_t | destination_router_id,
|  | etl::shared_message | shared_msg )

inline virtual

Reimplemented from etl::imessage_router.

## receive() [4/4]

virtual void etl::imessage_router::receive | ( | etl::shared_message | shared_msg | ) |

inline virtual

Reimplemented from etl::imessage_router.

The documentation for this class was generated from the following file:

- include/etl/message_router.h